clan::Circlex< Type > Class Template Reference - ClanLib SDK
Description: clan::Circlex< Type > Class Template Reference

Public Member Functions | Public Attributes | List of all members
clan::Circlex< Type > Class Template Reference
clanCore Math

Circle. More...

`#include <circle.h>`

## Public Member Functions
| Circlex ()
| Circlex (const Circlex< Type > &copy)
| Circlex (const Vec2< Type > &p, Type radius)
| Circlex (Type x, Type y, Type radius)
bool | is_inside (const Vec2< Type > &point)
bool | operator!= (const Circlex< Type > &circle) const
Circlex< Type > & | operator= (const Circlex< Type > &copy)
bool | operator== (const Circlex< Type > &circle) const

## Public Attributes
Vec2< Type > | position
| Circle center point.
Type | radius
| Circle radius.

## Detailed Description

template<typename Type>
class clan::Circlex< Type >

Circle.

These circle templates are defined for: int (Circle), float (Circlef), double (Circled)

## Constructor & Destructor Documentation

## ◆ Circlex() [1/4]

template<typename Type >

clan::Circlex< Type >::Circlex | ( | Type | x,
|  | Type | y,
|  | Type | radius )
| inline

## ◆ Circlex() [2/4]

template<typename Type >

clan::Circlex< Type >::Circlex | ( | const Vec2< Type > & | p,
|  | Type | radius )
| inline

## ◆ Circlex() [3/4]

template<typename Type >

clan::Circlex< Type >::Circlex | ( |  | ) |
| inline

## ◆ Circlex() [4/4]

template<typename Type >

clan::Circlex< Type >::Circlex | ( | const Circlex< Type > & | copy | ) |
| inline

## Member Function Documentation

## ◆ is_inside()

template<typename Type >

bool clan::Circlex< Type >::is_inside | ( | const Vec2< Type > & | point | ) |
| inline

References clan::point, clan::Circlex< Type >::position, and clan::Circlex< Type >::radius.

## ◆ operator!=()

template<typename Type >

bool clan::Circlex< Type >::operator!= | ( | const Circlex< Type > & | circle | ) | const
| inline

References clan::Circlex< Type >::position, and clan::Circlex< Type >::radius.

## ◆ operator=()

template<typename Type >

Circlex< Type > & clan::Circlex< Type >::operator= | ( | const Circlex< Type > & | copy | ) |
| inline

References clan::Circlex< Type >::position, and clan::Circlex< Type >::radius.

## ◆ operator==()

template<typename Type >

bool clan::Circlex< Type >::operator== | ( | const Circlex< Type > & | circle | ) | const
| inline

References clan::Circlex< Type >::position, and clan::Circlex< Type >::radius.

## Member Data Documentation

## ◆ position

template<typename Type >

Vec2<Type> clan::Circlex< Type >::position

Circle center point.

Referenced by clan::Circlex< Type >::is_inside(), clan::Circlex< Type >::operator!=(), clan::Circlex< Type >::operator=(), and clan::Circlex< Type >::operator==().

## ◆ radius

template<typename Type >

Type clan::Circlex< Type >::radius

Circle radius.

Referenced by clan::Circlex< Type >::is_inside(), clan::Circlex< Type >::operator!=(), clan::Circlex< Type >::operator=(), and clan::Circlex< Type >::operator==().

The documentation for this class was generated from the following file:

- circle.h